manifold.h File Reference

Deals with the underlying 3-manifolds of triangulations. More...

`#include "regina-core.h"`
`#include "output.h"`
`#include "triangulation/forward.h"`
`#include <boost/noncopyable.hpp>`

## Classes

class | regina::Manifold
| Represents a particular 3-manifold. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Manifold | regina::NManifold
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Deals with the underlying 3-manifolds of triangulations.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).